% Draw polyline.
%
% function draw_polyline(self, x, face, options)
%
%
% required arguments:
% x=array of nvert number of rows and 3 columns; the coordinates
% face=array of N rows; N=the numbers of vertices
%        of an N-sided polygonal patch.  The indices point into
%        the x array.
% options = struct with following optional fields
%    facecolor = color if polygons should be drawn in solid color,
%    colors = array of nvert number of rows and 3 columns; per vertex colors
%    fill=string: either 'none' or 'interp' or 'flat'
%
function draw_polyline(self, x, edge, options)
    edgecolor='black';
    if isfield(options,'edgecolor')
        edgecolor =options.edgecolor;
    end
    line(x(edge,1),x(edge,2),x(edge,3),...
            'Color',edgecolor);
end
